summaryrefslogtreecommitdiff
path: root/tools
diff options
context:
space:
mode:
authorAndrei Karas <akaras@inbox.ru>2016-04-28 00:41:01 +0300
committerAndrei Karas <akaras@inbox.ru>2016-04-28 00:41:01 +0300
commitf7d24f7bffbe30fd36de5cc3e9bd8a2183877678 (patch)
treebf34c068d92f30b7527ae5cd5e156799daaee531 /tools
parent98d959aa5baac9739fea921dc845c47f33cca300 (diff)
downloadevol-hercules-f7d24f7bffbe30fd36de5cc3e9bd8a2183877678.tar.gz
evol-hercules-f7d24f7bffbe30fd36de5cc3e9bd8a2183877678.tar.bz2
evol-hercules-f7d24f7bffbe30fd36de5cc3e9bd8a2183877678.tar.xz
evol-hercules-f7d24f7bffbe30fd36de5cc3e9bd8a2183877678.zip
Add plugin validator into ci scripts.
Disable for now gcc 5 build.
Diffstat (limited to 'tools')
-rwxr-xr-xtools/ci/jobs/validate.sh18
-rwxr-xr-xtools/ci/scripts/init.sh25
2 files changed, 41 insertions, 2 deletions
diff --git a/tools/ci/jobs/validate.sh b/tools/ci/jobs/validate.sh
new file mode 100755
index 0000000..5c1c7ab
--- /dev/null
+++ b/tools/ci/jobs/validate.sh
@@ -0,0 +1,18 @@
+#!/bin/bash
+
+export CC=gcc-5
+export CXX=g++-5
+export LOGFILE=gcc5.log
+
+source ./tools/ci/scripts/init.sh
+
+aptget_install git-core ca-certificates \
+ make python
+
+do_init
+clone_tool
+clone_servercode
+cd evol-hercules
+
+make validate
+check_error $?
diff --git a/tools/ci/scripts/init.sh b/tools/ci/scripts/init.sh
index 455673e..c935d31 100755
--- a/tools/ci/scripts/init.sh
+++ b/tools/ci/scripts/init.sh
@@ -11,8 +11,8 @@ cat /etc/os-release
rm ${ERRFILE}
function do_init {
- $CC --version
- $CXX --version
+ cd ..
+ ln -s evol-hercules server-plugin
}
function aptget_update {
@@ -49,6 +49,19 @@ function aptget_install {
fi
}
+function gitclone {
+ git clone $*
+ if [ "$?" != 0 ]; then
+ sleep 1s
+ git clone $*
+ if [ "$?" != 0 ]; then
+ sleep 3s
+ git clone $*
+ fi
+ fi
+ check_error $?
+}
+
function check_error {
if [ "$1" != 0 ]; then
echo "error $1"
@@ -119,4 +132,12 @@ function run_mplint {
run_check_warnings
}
+function clone_tool {
+ gitclone https://gitlab.com/evol/evol-tools.git tools
+}
+
+function clone_servercode {
+ gitclone https://gitlab.com/evol/hercules.git server-code
+}
+
aptget_update